Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8261/?format=api
{ "ob_id": 8261, "uuid": "4b814c20c1efd0db622146794db6f787", "title": "Landsat Mediterranean data acquired by Landmap", "abstract": "Landsat data for Cyprus, East Spain and West Spain is available from Landsat 5 and 7. The data were obtained by the Landmap project from donations by various academic institutions. The Joint Information Systems Committee (JISC) funded Landmap service which ran from 2001 to July 2014 collected and hosted a large amount of earth observation data for the majority of the UK. After removal of JISC funding in 2013, the Landmap service is no longer operational, with the data now held at the NEODC.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2014-08-12T10:33:10", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8262/?format=api", "dataPath": "/neodc/landmap/data/optical/lmed", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2431187550, "numberOfFiles": 16, "fileFormat": "<div property=\"cedacat:formats\">\r\nBand 1-5,7 imagery is available in a single .img file for each collection shown above. The .img format can be opened in most earth observation image processing software including open/free software such as <a href=\"http://www.hexagongeospatial.com/products/remote-sensing/erdas-er-viewer\">Erdas ER viewer</a> or <a href=\"http://www.brockmann-consult.de/cms/web/beam/\">Basic ERS &amp; Envisat (A) ATSR and Meris Toolbox (BEAM)</a>. img files are raster image files created by ERDAS IMAGINE that contain one or more layers, called bands, which include multiple image tiles that comprise the image. The data folders are labelled as l?med_ppp_rr_ddmmyyyy where ? is either 5 or 7 corresponding to Landsat 5 and 7 respectively, ppp is the satellite path number, rr is the row number, and ddmmyyyy is the date of collection. See the NASA page on the <a href=\"http://landsat.gsfc.nasa.gov/?p=3231\">Landsat Worldwide Reference System</a> for more information about paths and rows. \r\n</div>\r\n\r\n\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2365/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by the Landmap team before a copy of the data were obtained by NEODC directly from Landmap.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5313/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8044/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8212/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33226/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33229/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33230/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42018/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42019/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33228/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33227/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8268/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2588/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "landmap", "label": "restricted: landmap group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/landmap.pdf", "licenceClassifications": "academic, specific" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }